
ProCKSI - Bug #77

Structures from archive are not listed in the archive original order.
Description

After the structures are unpacked from the archive, they are presented in somewhat random order instead of the original order from the

archive (one obtained by unzip -l name.zip).

History

#1 - 06/11/2008 01:22 PM - Anonymous

- Status changed from New to Closed

- Resolution set to worksforme

Tests show that the order of files in zip/tar archives is preserved in the Dataset Manager.

#2 - 06/11/2008 03:06 PM - Paweł Widera

- Status changed from Closed to Feedback

- Resolution deleted (worksforme)

Compare this with a screenshot. Archive used in test also attached.

$ tar -tjf test.tar.bz2

d0005.pdb

d0004.pdb

d0003.pdb

d0002.pdb

d0001.pdb

#3 - 07/03/2008 07:00 PM - Anonymous

- Status changed from Feedback to Closed

- Resolution set to fixed

Problem[[br]]

Content of archives can contain more archives or compresses structures. That's why the dataset manager just globs the content of the unpacked archive

for further processing.[[br]]

Solution[[br]]

Globbed files are added in alphabetical order.
#4 - 08/27/2013 04:23 AM - Paweł Widera

- File structures.png added

- File test.tar.bz2 added

Files

structures.png 35.3 KB 08/27/2013 Paweł Widera

test.tar.bz2 63.9 KB 08/27/2013 Paweł Widera
